%define name clutter-cairo
%define version 0.6.0
%define release %mkrel 2

%define api 0.6
%define major 0
%define libname %mklibname %name %api %major
%define libnamedevel %mklibname -d %name %api

Summary:       Cairo actor for Clutter
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       %{name}-%{version}.tar.bz2
License:       LGPL
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-devel
BuildRequires: cairo-devel

%description
An experimental clutter cairo 'drawable' actor. Sucks a bit as renders
cairo via an image surface and thus no real cairo rendering
acceleration. Experiments with glitz and sharing GL contexts for such
acceleration proved problematic. Needs more investigation.

#----------------------------------------------------------------------------

%package -n %libname
Summary:       Cairo actor for Clutter
Group:         Graphics

%description -n %libname
An experimental clutter cairo 'drawable' actor. Sucks a bit as renders
cairo via an image surface and thus no real cairo rendering
acceleration. Experiments with glitz and sharing GL contexts for such
acceleration proved problematic. Needs more investigation.

#----------------------------------------------------------------------------

%package -n %libnamedevel
Summary:       Development headers/libraries for %name
Group:         Development/X11
Provides:      %name-devel = %version-%release
Requires:      %libname = %version-%release

%description -n %libnamedevel
Development headers/libraries for %name (see %libname package)

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %buildroot

%makeinstall

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root)
%_libdir/lib%{name}-%{api}.so.*

%files -n %libnamedevel
%_libdir/pkgconfig/%{name}-%{api}.pc
%_libdir/lib%{name}-%{api}.la
%_libdir/lib%{name}-%{api}.so
%dir %_includedir/clutter-%{api}/%{name}
%_includedir/clutter-%{api}/%{name}/*.h


%changelog
* Thu Feb 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 173783
- Improve description

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173176
- New version

* Mon Feb 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-2mdv2008.1
+ Revision: 165296
- description is not a todo list

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-1mdv2008.1
+ Revision: 136322
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 60517
- New version: 0.4.0

* Thu Jun 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 42384
- Import clutter-cairo

